{#
/**
 * @file
 * Theme override to display the header block.
 *
 * Available variables:
 * - plugin_id: The ID of the block implementation.
 * - label: The configured label of the block if visible.
 * - configuration: A list of the block's configuration values.
 *   - label: The configured label for the block.
 *   - label_display: The display settings for the label.
 *   - provider: The module or other provider that provided this block plugin.
 *   - Block plugin specific settings will also be stored here.
 * - content: The content of this block.
 * - attributes: array of HTML attributes populated by modules, intended to
 *   be added to the main container tag of this template.
 *   - id: A valid HTML ID and guaranteed unique.
 * - title_attributes: Same as attributes, except applied to the main title
 *   tag that appears in the template.
 * - title_prefix: Additional output populated by modules, intended to be
 *   displayed in front of the main title tag that appears in the template.
 * - title_suffix: Additional output populated by modules, intended to be
 *   displayed after the main title tag that appears in the template.
 *
 * @see template_preprocess_block()
 */
#}

{# Defaults #}
{% set variant = variant|default('website') %}
{% set menu_main = menu_main|default('main') %}


{# Variants templates #}
{% include '@greenwich_blocks/header--' ~ variant ~ '.html.twig' with {
  title: title,
  url: url,
  menu_main: menu_main,
  menu_aside: menu_aside
} %} 


{% set catch_cache = content|render %}
